:root {
    --bar-width: 45px;
    --bar-height: 8px;
    --hamburger-gap:4px;
    --foreground: white;
    --background: #040404;
    --animation-timing: 200ms ease-in-out;
    --hamburger-height: calc(var(--bar-height) * 3 + var(--hamburger-gap) * 2);
    --image-width: 259px;
    --image-height: 450px;
    --grid-gap: 25px;
    --background-color-blue: #349ef5;
    --shopping-cart-icon-height: 56px;
    --shopping-cart-icon-width: 32px;
    --hamburger-menu-icon-height: 56px;
    --hamburger-menu-icon-width: 32px;
}

/* Reset link styling */
.page_links {
    color: white; /* Keep the links white */
    text-decoration: none; /* Remove default underline */
}

/* Add underline on hover */
.page_links:hover {
    text-decoration: underline; /* Add underline on hover */
}



.shopping_cart_icon{
    display: flex;
    justify-content: center;
    align-items: center;
    height: var(--shopping-cart-icon-height);
    width: var(--shopping-cart-icon-width);
    margin: auto;
}
.shopping_cart_icon a{
    height: var(--shopping-cart-icon-height);
    width: var(--shopping-cart-icon-width);
}

.icon-cart {
    cursor: pointer;
}

.hamburger-icon{
    display: flex;
    justify-content: center;
    align-items: center;
}

.icon-cart{
    display: flex;
    justify-content: center;
    align-items: center;
    border-bottom: 2px solid black;
    height: var(--shopping-cart-icon-height);
    width: var(--shopping-cart-icon-width);
}

.icon-wrapper {
    width: inherit;
    height: inherit;
    position: relative;
    overflow: hidden;
}

.icon-cart:hover {
    border-bottom: 2px solid var(--background-color-blue);
}

.icon-wrapper .cart-line-1 {
    width: 38%;
    height: 6.5%;
    position: absolute;
    right: 74.8%;
    top: 51%;
    -webkit-transform: rotate(5deg);
    -moz-transform: rotate(5deg);
    -ms-transform: rotate(5deg);
    transform: rotate(5deg); 
    background-color: #000;
}

.icon-wrapper .cart-line-2 {
    width: 41.3%;
    height: 7%;
    position: absolute;
    left: 2%;
    bottom: 30%;
    -webkit-transform: rotate(80deg);
    -moz-transform: rotate(80deg);
    -ms-transform: rotate(80deg);
    transform: rotate(80deg); 
    background-color: #000;
    border-bottom-right-radius: 6%;
}
.content {
    min-height: 60vh;
}

.content.hide {
    display: none;

}

.icon-wrapper .cart-line-2:before {
    content: "";
    width: 135%;
    height: 85%;
    position: absolute;
    left: 30%;
    top: -190%;
    -webkit-transform: rotate(-80deg);
    -moz-transform: rotate(-80deg);
    -ms-transform: rotate(-80deg);
    transform: rotate(-80deg); 
    background-color: inherit;

}

.icon-cart .cart-line-2:after {
    content: "";
    width: 94%;
    height: 100%;
    position: absolute;
    left: 32%;
    top: -493%;
    background-color: inherit;
    -webkit-transform: rotate(40deg);
    -moz-transform: rotate(40deg);
    -ms-transform: rotate(40deg);
    transform: rotate(40deg); 
    border-top-left-radius: 70%;
    border-bottom-left-radius: 10%;
    border-top-right-radius: 6%;
}

.icon-cart .cart-line-3 {
    width: 35%;
    height:5%;
    position: absolute;
    left: 35%;
    bottom: 30%;
    background-color: #000;
}

.icon-cart .cart-line-3:after {
    content: "";
    width: 130%;
    height: 100%;
    position: absolute;
    top: -140%;
    left: -5%;
    background-color: inherit;
}

.icon-cart .cart-wheel {
    width: 18%;
    height: 10%;
    background-color: #000;
    border-radius: 100%;
    position: absolute;
    left: 23%;
    bottom: 6%;
}

.icon-cart .cart-wheel:after {
    content: "";
    width: 100%;
    height: 100%;
    background-color: inherit;
    border-radius: 100%;
    position: absolute;
    left: 170%;
    bottom: 0;
}


#nav-icon3 {
    width: var(--hamburger-menu-icon-width);
    height: var(--hamburger-menu-icon-height);
    position: relative;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    cursor: pointer;
    border-bottom: 2px solid black;
    margin-right:10px;
}
#nav-icon3:hover {
    border-bottom: 2px solid var(--background-color-blue);
}

#nav-icon3 span{
    display: block;
    position: absolute;
    height: 4px;
    width: 100%;
    background: white;
    border-radius: 9px;
    opacity: 1;
    left: 0;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .25s ease-in-out;
    -moz-transition: .25s ease-in-out;
    -o-transition: .25s ease-in-out;
    transition: .25s ease-in-out;
}
  /* Icon 3 */


#nav-icon3 span:nth-child(1) {
    top: 27.5px;
}

#nav-icon3 span:nth-child(2),#nav-icon3 span:nth-child(3) {
    top: 37.5px;
}

#nav-icon3 span:nth-child(4) {
    top: 47.5px;
}


#nav-icon3.open span:nth-child(1) {
    top: 18px;
    width: 0%;
    left: 50%;
}

#nav-icon3.open span:nth-child(2) {
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
}

#nav-icon3.open span:nth-child(3) {
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

#nav-icon3.open span:nth-child(4) {
    top: 18px;
    width: 0%;
    left: 50%;
}

img {
    -webkit-user-drag: none;
    -moz-user-drag: none;
    -ms-user-drag: none;
    -o-user-drag: none;
  }
html {
    height: 100%;
}

body {
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
    background-color: #040404;
    margin: 0;
    padding: 0;
    height: 100%;
    overflow-x: hidden !important;
}


*,
*::after,
*::before {
    box-sizing: border-box;
}
.spinner_wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Semi-transparent background */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000; /* Ensure it's on top of other elements */
}

.spinner_container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.spinner {
    border: 16px solid #f3f3f3; /* Light grey background */
    border-top: 16px solid #3498db; /* Blue spinner */
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.hidden {
    display: none;
}

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #040404;
    padding: 5px 40px;
}

.navbar{
    display: flex;
    align-items: center;
    white-space: nowrap;
}

.mobile-menu {
    display: none;
}


.navbar a {
    color: white;
    text-decoration: none;
    font-size: 27px;
    transition: color 0.3s;
}
.home,
.giclee,
.shop {
    margin-right: 40px;
    margin-top: 26px;
}
.navbar a:hover {
    text-decoration: underline var(--background-color-blue) 2px;
}

.navbar img, .mobile-menu img {
    height: var(--icon-height);
    width: var(--icon-width);
    cursor: pointer;
    filter: brightness(0) invert(1); /* Change color to white */
    transition: fill 0.3s,

}
.hamburger-menu {
    margin-right: 10px;
}

.brigLogo img {
    width: 150px;
    height: auto;
    margin: 10px;
}

.cart-quantity {
    color: white;
    text-align: center;
    font-size: 26px;
    padding: 0 1px;
    margin-top: 23px;
    /* Remove cursor text cursore*/
    cursor: default;
}

.cart-mobile {
    height: var(--icon-height);
    width: var(--icon-width);
    border-bottom: 1px solid #040404;
    margin-bottom: 6px;
}

.footer {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;
    padding: 20px 40px;
    background-color: #040404;
    color: white;
    text-align: center;
    position:bottom;
}
.footer_navbar {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #040404;
    color: white;
}
.footer_navbar a{
    color: white;
    text-decoration: none;
    margin: 0 20px;
}
.footer_navbar a:hover{
    text-decoration: underline var(--background-color-blue) 2px;

}

.footer.hide{
    display:none;

}
.contact_form {
    align-items: flex-start;
    margin-right: 20px;
    text-align: left;
}

.email-input-container {
    display: flex;
    justify-content: center; /* Horizontally center items */
    align-items: center; /* Vertically center items */
    margin: auto; /* Center the container horizontally */
    width: 100%;
    margin-bottom: 20px;
}
.email-input-container button {
    padding: 10px;
    background-color: white;
    color: black;
    font-weight: bold;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out;

}
.container p {
    padding: 0;
}
#emailInput {
    flex: 1;
    padding: 10px;
    margin-right: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin-top: auto; /* Push input box to the bottom */
    margin-bottom: auto; /* Push input box to the bottom */
}

.contact_form button[type="submit"] {
    padding: 10px;
    background-color: white;
    color: #040404;
    border: 1px solid #040404;
    cursor: pointer;
    transition: background-color 0.3s;
}
.contact_form button[type="submit"]:hover {
    background-color:#040404;
    color: white; /* Change to desired hover color */
    border: 1px solid white;
}

.contact_info {/* Adjust width as needed */
    text-align: left;
    font-size: 20px;
}

.contact_form h1 {
    font-size: 30px; /* Adjust font size as needed */
    margin-bottom: 10px;
}

.contact_form p {
    margin-bottom: 20px;
    font-size: 16px; /* Adjust font size as needed */
}

.contact_form input[type="email"] {
    width: calc(100% - 20px); /* Subtract padding and border width */
    padding: 10px;
    margin-bottom: 20px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

.container {
    width: 100%;
    color: white;
    font-family: monospace;
    margin-top: 20px;
}
.container a{
    color:white;
    text-decoration: none;
}
.container a:hover{
    text-decoration: underline var(--background-color-blue) 2px;
}
.description {
    margin-bottom: 20px;
}

.confirmation-msg,
.error-msg {
    margin-top: 0px; /* Adjust the margin as needed */
    color: white; /* Color of the confirmation message */
    font-size: 14px; /* Font size of the confirmation message */
    /* Add any other styles as per your design */
}

.contact_info h1 {
    font-size: 30px;
}
/* Add this CSS to your existing stylesheet */
.loading-bar-container {
    display: none; /* Hide by default */
    position: relative;
    width: 100%; /* Full width of the parent element */
    height: 5px; /* Height of the loading bar */
    background-color: rgba(255, 255, 255, 0.5); /* Adjust the color and opacity as needed */
    margin-top: 5px; /* Space between the total price and the loading bar */
}

.loading-bar {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 0; /* Initial width is 0 */
    background-color: #3498db; /* Adjust the color */
    animation: loading 1.5s infinite;
}
.glance_inner h1{
    color: white;
    font-size: 50px;
    font-weight: 350;
}

@keyframes loading {
    0% {
        width: 0;
    }
    50% {
        width: 100%;
    }
    100% {
        width: 0;
    }
}

@media (max-width: 862px) {
    .cart-quantity {
        font-size: 18px !important;
    }
}

@media (max-width: 846px) {
    .cart-quantity-mobile {
        display:inline-block;
        color: white;
        padding: 0 1px;
        margin-top: 23px;
        cursor: default;
    }
    .navbar {
        display: none;
    }
    body{
        overflow: hidden;
    }
    .mobile-menu {
        display: flex;
        align-items: center;
        justify-content: center;

    }
    .mobile-dropdown {
        display: none;
        flex-direction: column;
        background-color: #040404;
        position: fixed;
        top: 450px; /* Center vertically */
        left: 50%; /* Center horizontally */
        transform: translate(-50%, -50%);
        z-index: 999;
        text-align: center;
        box-sizing: border-box;
        overflow-y: auto; /* Enable vertical scrolling if needed */
    }
    
    .mobile-dropdown a {
        color: white;
        text-decoration: none;
        padding: 20px;
        font-size: 35px;
        font-weight: 350; /* Increase font size */
        width: 100%;
        transition: color 0.3s;
        box-sizing: border-box;
        display: block;
        white-space: nowrap; /* Prevent text from wrapping */
        overflow: hidden; /* Hide overflowing text */
        text-overflow: ellipsis; /* Display ellipsis (...) for overflowing text */
    }
    
    .mobile-dropdown a:hover {
        text-decoration: underline var(--background-color-blue) 2px;
    }
    
    .mobile-dropdown.show {
        display: block;
    }
    .footer {
        text-align: center;

    }
    .glance_inner h1 {
        font-size: 35px;
    }
}

@media (max-width: 590px) {
    .glance_inner h1{
        font-size: 30px;
    }
}

@media (max-width: 437px) {

    .cart-quantity-mobile{
        font-size: 14px !important;
    }
}